Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		GConf
Version:	2.22.0
Release:	1
Summary:	A process-transparent configuration system
License:	GNU/GPL
Group: 		Graphical Desktop/GNOME
URL: 		http://www.gnome.org
Source0:	%{name}-%{version}.tar.bz2
Patch0: 	GConf-2.18.0.1-reload.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=356573
Patch1: 	GConf2-2.14.0-timeout.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Prereq: 	/sbin/install-info
Requires: 	ORBit2
Requires: 	glib docbook-sgml-dtd4 docbook-xml-dtd docbook-xsl
BuildRequires: 	libxml2-devel
BuildRequires: 	ORBit2-devel
BuildRequires: 	glib-devel
BuildRequires: 	gtk2+-devel
BuildRequires: 	gtk-doc
BuildRequires: 	pkg-config
BuildRequires: 	gettext
BuildRequires: 	openldap-devel
BuildRequires: 	perl-XML-Parser
BuildRequires: 	libtool cyrus-sasl-devel

%description
GConf is a process-transparent configuration database API used to 
store user preferences. It has pluggable backends and features to 
support workgroup administration.

%package devel
Summary: 	Headers and libraries for GConf development
Group: 		Development/Libraries
Requires: 	%{name} = %{version}
Requires: 	libxml2-devel
Requires: 	ORBit2-devel
Requires: 	glib-devel
Requires: 	pkg-config


%description devel
GConf development package. Contains files needed for doing
development using GConf.

%postun
ldconfig

%post
ldconfig

%prep
%setup -q -n GConf-%{version}
%patch0 -p1 -b .reload
%patch1 -p1 -b .timers  

%build
rm -f libtool
libtoolize --force --copy
autoreconf
%configure --sysconfdir=%_sysconfdir/gnome  --libexecdir=$(pkg-config --variable=prefix ORBit-2.0)/lib/GConf
make

%install
rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

chmod 755 $RPM_BUILD_ROOT/%{_sysconfdir}/gnome/gconf/gconf.xml.defaults
chmod 755 $RPM_BUILD_ROOT/%{_sysconfdir}/gnome/gconf/gconf.xml.mandatory

%find_lang GConf2

%files -f GConf2.lang
%defattr(-, root, root)
%doc COPYING ChangeLog NEWS README backends/README.evoldap
%config(noreplace) %{_sysconfdir}/gnome/gconf/2/path
%config(noreplace) %{_sysconfdir}/gnome/gconf/2/evoldap.conf
%dir %{_sysconfdir}/gnome/gconf/2
%dir %{_sysconfdir}/gnome/gconf/gconf.xml.defaults
%dir %{_sysconfdir}/gnome/gconf/gconf.xml.mandatory
%{_bindir}/*
%{_libdir}/*.so.*
%{_libdir}/GConf/2/*.so
%{_libdir}/GConf/*
%{_datadir}/sgml
%{_datadir}/GConf
%{_mandir}/man1/*
%dir %{_libdir}/GConf
%dir %{_libdir}/GConf/2

%files devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_includedir}/gconf
%{_datadir}/aclocal/*.m4
%{_datadir}/gtk-doc
%{_libdir}/pkgconfig/*
%{_libdir}/GConf/2/*.a
%{_libdir}/GConf/2/*.la
%{_libdir}/*.la
%{_libdir}/*.a


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Tue Oct 16 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Mon Mar 18 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0.1-1
- Version update
* Sat Nov 11 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.0-4
- added dependencies
* Thu Nov 09 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.0-3
- clean buildchain
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.0-2
- rebuild, moved libexec
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.0-1
- Version update, moved prefix
* Fri Sep 08 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.14.0-1
- version update
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.13.5-2
- rebuilt against ORBit 2.14.0
* Mon Jan 30 2006 Christian Wasem <wasem@ccux-linux.de> 2.13.5-1
- Version Update to 2.13.5
* Tue Nov 22 2005 Christian Wasem <wasem@ccux-linux.de> 2.12.1-1
- Version Update to 2.12.1
* Sat Nov 12 2005 Uli Schukraft <schukraft@ccux-linux.de> 2.12.0-2
- added '%GNOME_PREFIX/lib/*.so' to %files-section, because the *.so-files in /opt/gnome/lib were missing
- added docbook-xsl to dependencies
* Sun Oct 30 2005 Christian Wasem <wasem@ccux-linux.de> 2.12.0-1
- Version Update to 2.12.0
* Sat Jul 02 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> - 2.11.1
- Version Update to 2.11.1
* Fri Apr 29 2005 Christian Metzen <metzench@ccux-linux.de> - 2.10.0-2
- Tweaked Spec File to a more CCux Package DB friendly Way
* Sun Apr 17 2005 Uli Schukraft <Schukraft@CCux-Linux.de> - 2.10.0-1
- Version Update to 2.10.0
- changed group, added "enable-final" and "enable-optimize" to ./configure-options
- added and precised dependencies
- precised %files-section
- tweaked spec-file
* Sun Mar 20 2005 Christian Metzen <metzench@ccux-linux.de> - 2.8.1-2
- tweaked Specfile, moved sysconfdir to a better Location, moved libexedir to correct Location
* Wed Feb 23 2005 Uli Schukraft <Schukraft@ccux-linux.de> - 2.8.1-1
- First package release.
